<?php


namespace App\Mobile\Synchronization\Resources;


use Illuminate\Http\Resources\Json\JsonResource;

class SyncClientResource extends JsonResource
{
    public function toArray($request)
    {
        $address = $this->default_address;

        $relationships = [];
        if(isset($this->mvfs)){
            $relationships['mvfs'] = SyncFinancialMovementResource::collection($this->mvfs);
        }
        return [
            "pes_codigo" => $this->pes_codigo,
            "pes_nome" => $this->pes_nome,
            "address" => new SyncAddressResource($address)
        ]+$relationships;
    }
}
