<?php


namespace App\RestApi\Financial\Controllers;


use App\Http\Controller;
use App\RestApi\Financial\Requests\GeneratePaymentRequest;
use Schaffen\Financial\Payment\DTOs\GeneratePaymentInput;
use Schaffen\Financial\Payment\Managers\PaymentManager;

class PaymentController extends Controller
{

    private PaymentManager $manager;

    public function __construct(PaymentManager $manager)
    {
        $this->manager = $manager;
    }

    /**
     * @param GeneratePaymentRequest $input
     * @return \Illuminate\Http\JsonResponse
     */
    public function generatePayment(GeneratePaymentRequest $input)
    {
        $i = $input->validated();
        $this->manager->generatePayment(new GeneratePaymentInput(
            $i['par_codigo'],
            $i['data_pagamento'],
            $i['patrimonial'],
            $i['juros_adicionais'] ?? 0,
            $i['juros_atraso'] ?? 0,
            $i['adicional'] ?? 0,
            $i['multa'] ?? 0,
            $i['desconto'] ?? 0,
            $i['pagamento'],
            $i['moeda'] ?? 0,
            $i['observacao'] ?? '',
            null,
            $i['quitacao_rapida'] ?? 0,
        ));
        return response()->json('Pagamento gerado com sucesso');
    }
}