<?php


namespace App\RestApi\Person\Controllers;

use App\RestApi\Person\Requests\PersonRequest;
use Freelabois\LaravelQuickstart\Traits\Crudable;
use Schaffen\Core\Person\Managers\PersonManager;
use Schaffen\Core\Person\Models\Person;
use Schaffen\Core\Person\Repositories\PersonRepository;


class PersonController
{
    use Crudable;

    public function __construct(PersonManager $manager, PersonRepository $repository)
    {
        $this->setup($manager, $repository);
    }

    /**
     * @param PersonRequest $request
     * @return Person
     */
    public function store(PersonRequest $request): Person
    {
        $sanitized = $request->validated();
        return $this->manager->storeOrUpdate($sanitized);
    }


}
